<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<!--######应用管理页面 > 应用详情模板页######-->
<div id="div_info_form" class="m-form-inline" style="padding-top:10px;" data-role-form>
    <input id="flag" value="${flag}" style="display: none">

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>名称：</label>
        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入名称" name="name"/>
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>分类：</label>
        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" id="type" data-type="select" class="l-text-field required" placeholder="请选择分类" name="type">
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>规则描述：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入规则描述" name="describe"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>脚本(或接口)：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入脚本(或接口)" name="rule"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>统一错误代码：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" id="error_code" data-type="select" class="l-text-field required" placeholder="请选择统一错误代码" name="error_code"/>
            </div>
        </div>
    </div>

    <!-- 隐藏字段 -->
    <div class="m-form-group" style="display: none;">
        <input name="id" hidden="hidden"/>
    </div>
    <div class="m-form-bottom">
        <div id="btnCancel" class="l-button l-button-no">
            <span>关闭</span>
        </div>
        <div id="btnEditor" class="l-button" style="display:none">
            <span>编辑</span>
        </div>
        <div id="btnSave" class="l-button">
            <span>保存</span>
        </div>
    </div>
</div>

<style>
    .m-form-group label{width: 135px;}
    .btnGrayUp.required{border: #FF7777 1px solid; float: left;}
</style>