<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<style>
    html{height:100%}
    body{height:100%}
    .m-index-top{height:80px;background:url('${staticRoot}/images/index/logo.png') left top no-repeat #2a2a34;}
    .m-index-top-name{padding-left:40px;line-height:40px;color:#919baf;background:url('${staticRoot}/images/index/head_icon.png') 10px no-repeat;}
    .m-index-nav{height:40px;background:url('${staticRoot}/images/index/local_icon.png') 8px 8px no-repeat #fff;padding-left:40px;line-height: 40px;}
    .m-index-left{background:#f6f9fa;}
    .m-index-menu-top{background:url('${staticRoot}/images/index/index_icon.png') 24px 12px no-repeat #fff;font-weight: bolder;padding-left: 55px;font-size: 16px;line-height: 40px;cursor: pointer}
    .m-index-menu-top-over{background:url('${staticRoot}/images/index/index_over_icon.png') 24px 12px no-repeat  #f0f0f0;font-size: 16px;color:#1eaaff}
    .m-index-center{background-color: #f0f0f0;padding-left: 10px;padding-top: 10px;padding-right: 10px;overflow-y: auto;overflow-x:hidden}
    .m-index-content{height:100%;background-color: #fff;border:1px solid #e1e1e1;border-bottom: 0px;}

    #ulTree.l-tree{background: #f6f9fa;}
    #ulTree.l-tree li .l-body,#ulTree.l-tree li .l-body span{height: 30px;line-height: 30px;font-size: 14px;font-weight: bolder;}
    #ulTree.l-tree li .l-body{background: #f6f9fa;border-bottom: #e8e8e8 solid 1px;}
    #ulTree.l-tree li>.l-selected{background:#4DB2EE;}
    #ulTree.l-tree li>.l-selected span{color:#fff;}
    #ulTree.l-tree li .l-body .l-box{background: transparent;width:0px;}
    #ulTree.l-tree li .l-body .l-box.l-tree-icon{width:45px;height:25px;}
    #ulTree.l-tree li .l-body .l-box.l-tree-icon img{width:16px;height:16px;margin-top:6px;margin-left:20px;}
    #ulTree.l-tree .l-children li .l-body,#ulTree.l-tree .l-children li .l-body span{height:30px;line-height: 30px;font-size: 12px;font-weight:normal;}
    #ulTree.l-tree .l-children li .l-body{height: 30px;line-height: 30px;padding-left:15px;}
    #ulTree.l-tree .l-children li .l-body.l-selected{background-color: #f6f9fa;}
    #ulTree.l-tree .l-children li>.l-body.l-selected span{color: #4DB2EE;}

    #btnIndexLogout{float: right;width:40px;height:40px;background:url('${staticRoot}/images/index/logout_btn.png') no-repeat;margin-left:10px;}
    #btnIndexLogout:hover{background:url('${staticRoot}/images/index/logout_over_btn.png') no-repeat;cursor:pointer}
    #btnIndexPassword{float: right;width:40px;height:40px;background:url('${staticRoot}/images/index/password_btn.png') no-repeat;}
    #btnIndexPassword:hover{background:url('${staticRoot}/images/index/password_over_btn.png') no-repeat;cursor:pointer}
</style>
<div id="divIndexMain" style="height:100%">
    <div position="top">
        <div class="m-index-top">
            <div style="float: right;padding-right: 8px">
                <div class="m-index-top-name">欢迎您! ${userName} 【tenant: ${tenant}】</div>
                <div style="height:40px;">
                    <div id="btnIndexLogout"></div>
                    <div id="btnIndexPassword"></div>
                </div>
            </div>
        </div>
        <div class="m-index-nav">
            当前位置：<span id="indexNav"></span>
        </div>
    </div>
    <div position="left" class="m-index-left">
        <div position="center">
            <ul id="ulTree"></ul>
        </div>
    </div>
    <div position="center" class="m-index-center" id="divIndexContent">

    </div>
    <input type="hidden" id="ehrUser" value="${ehrUser}">
</div>


