<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var oldFileId = "";
    var editorParam = {
        actionUrl: "${contextRoot}/app/feature/add",

        init: function () {
            this.toDisable();
            this.bindEvents();
            this.initForm();
        },
        toDisable: function () {
            if ($("#flag").val() == 'disabled') {
                $("#btnEditor").show();
                $("#btnSave").hide();
                $("input[name='name']").attr("disabled", "disabled");
                $("input[name='code']").attr("disabled", "disabled");
                $("input[name='type']").attr("disabled", "disabled");
                $("input[name='auditLevel']").attr("disabled", "disabled");
                $("input[name='iconUrl']").attr("disabled", "disabled");
                $("input[name='url']").attr("disabled", "disabled");
                $("input[name='description']").attr("disabled", "disabled");
            }else{
                $("#btnEditor").hide();
                $("#btnSave").show();
            }
        },
        initForm: function () {
            var me = this;
            var data;
            var modelString = "${model.id}";
            debugger
            $("#appId").val("${model.appId}");
            $("#parentId").val("${model.parentId}");
            if (modelString != undefined && modelString != null && modelString.length > 0) {
                //liger.get("status").selectValue(status);  todo a
                data = {
                    id: "${model.id}",
                    appId: "${model.appId}",
                    parentId: "${model.parentId}",
                    openLevel: "${model.openLevel}",
                    name: "${model.name}",
                    code: "${model.code}",
                    type: "${model.type}",
                    auditLevel: "${model.auditLevel}",
                    iconUrl: "${model.iconUrl}",
                    url: "${model.url}",
                    description: "${model.description}"
                };

                me.actionUrl = "${contextRoot}/app/updateApp";
            } else {
                //新增

            }
            //todo
            $("#div_info_form").ligerAutoForm({
                data: data,
                validate: {
                    name: "required",
                    appUrl: "required",
                    developer: "required",
                    code: "required",
                    icon: {
                        required: true
                    },
                    appKey: "required",
                    appSecret: {
                        required: true
                    }

                },

            });
        },
        bindEvents: function () {
            var me = this;
            $(".m-form-bottom").on("click", "#btnSave", function () {
                if (!$("#div_info_form").ligerAutoForm("validate")) {
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url: me.actionUrl,
                    dataType: "json",
                    data: data,
                    cache: false,
                    success: function (data) {
                        if (data.successFlg) {
                           parent.em.dialogSuccess("保存成功",data);
                        }
                        else {
                            $.ligerDialog.error(data.errorMsg);
                        }
                        $("#btnSave").css("pointer-events", "");
                    },
                    error: function (data) {
                        $.ligerDialog.error("Status:" + data.status + "(" + data.statusText + ")");
                        $("#btnSave").css("pointer-events", "");
                    }
                });
            });
            $(".m-form-bottom").on("click", "#btnEditor", function () {
                $("#btnEditor").hide();
                $("#btnSave").show();
                $("input[name='name']").removeAttr("disabled");
                $("input[name='code']").removeAttr("disabled");
                $("input[name='type']").removeAttr("disabled");
                $("input[name='auditLevel']").removeAttr("disabled");
                $("input[name='iconUrl']").removeAttr("disabled");
                $("input[name='url']").removeAttr("disabled");
                $("input[name='description']").removeAttr("disabled");
                $("#flag").val("");
            });
            $(".m-form-bottom").on("click", "#btnCancel", function () {
                parent.em.dialog.close();
            });

            $("#status").ligerComboBox({
                data: [{"value": "有效", "code": "1"}, {"value": "无效", "code": "0"}],
                cancelable: false,
                onSuccess: function (data) {
                }
            });
        }

    };


    $(function () {
        editorParam.init();

    });
</script>
<script type="text/javascript" src="${staticRoot}/lib/jquery/jqueryform.js"></script>
