<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<!--######应用管理页面 > 应用详情模板页######-->
<div class="wrapper">
    <div id="div_info_form" class="m-form-inline content" data-role-form>

        <div class="m-form-group">
            <label><span class="red">*&nbsp;</span>流程名称：</label>

            <div class="m-form-control ">
                <div class="l-text">
                    <input type="text" class="l-text-field required" placeholder="请输入流程名称" name="name"/>
                </div>
            </div>
        </div>
        <div class="m-form-group">
            <label><span class="red">*&nbsp;</span>路由唯一标识：</label>

            <div class="m-form-control ">
                <div class="l-text">
                    <input type="text" class="l-text-field required" placeholder="请输入流程Code" name="code" id="code"/>
                </div>
            </div>
            <sapn class="code-input-span">只能输入数字和字母</sapn>
        </div>

        <div class="m-form-group">
            <label><span class="red">*&nbsp;</span>流程图：</label>
            <div class="m-form-control">
                <form id="formIcon" action="${dfs}" method="post" enctype="multipart/form-data">
                    <input type="text" id="iconUrl" name="chart" class="l-textbox btnIconGrayUp" style="width: 144px;"  placeholder="点击选择图片" readonly="readonly" data-id="">
                    <div style="float: right;">
                        <div  class="l-button l-button-no formIcon" data-id="formIcon">
                            <span style="background-color: rgb(240, 240, 240);">导入</span>
                        </div>
                        <label class="sayformIcon" style="display: inline-block;width: 70px;"></label>
                    </div>
                    <input type="file" name="file" style="display: none" id="fileIcon" />
                </form>
            </div>
        </div>

        <div class="m-form-group">
            <label>状态：</label>
            <div class="m-form-control ">
                <div class="l-text">
                    <input type="text" id="valid"  class="l-text-field required" name="valid">
                </div>
            </div>
        </div>

        <div class="m-form-group">
            <label>文件类别：</label>
            <div class="m-form-control ">
                <div class="l-text">
                    <input type="text" id="fileType"   class="l-text-field required" name="fileType">
                </div>
            </div>
        </div>

        <div class="m-form-group" >
            <label><span class="red"></span></label>
            <div class="m-form-control" id="classDiv">
            </div>
        </div>

        <div class="m-form-group">
            <label></label>
            <div id="btnAddClass" class="l-button l-button-no">
                <span>添加节点</span>
            </div>
        </div>
        <!-- 隐藏字段 -->
        <div class="m-form-group" style="display: none;">
            <input name="id" id="flowId" hidden="hidden"/>
            <input name="flowClassList" id="flowClassList" hidden="hidden"/>
        </div>
    </div>
</div>

<div class="m-form-bottom">
    <div id="btnCancel" class="l-button l-button-no">
        <span>关闭</span>
    </div>
    <div id="btnSave" class="l-button">
        <span>保存</span>
    </div>
</div>

<!--上传控件-->
<link rel="stylesheet" type="text/css" href="${staticRoot}/lib/webuploader/webuploader.css" />
<style>
    .m-form-group label{width: 135px;}
    .m-form-bottom .l-button {float: right;margin: 10px;}
    .wrapper{position:absolute;z-index:1;top:0;bottom:48px;left:0;width:100%;overflow:hidden;}
    .content{height:100%;padding-top:10px;position:absolute;z-index:1;width:100%;overflow-x:hidden;}
    .m-form-bottom{position:absolute;z-index:2;bottom:0;left:0;width:100%;background:#f5f8fa;padding:0; height: auto;}
    .flows{border: 2px solid #c4e1ff;margin-bottom: 10px;width: 550px;}
    .btnIconGrayUp.required{border: #FF7777 1px solid; float: left;}
    .code-input-span{height: 30px;line-height: 30px;font-size: 14px;color: red;display: none;}
</style>